# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	HTML syntax and minimal style checker
Name:		weblint
Version:	1.9.3
Release:	14.%{__distinit}%{__distvers}
Source0:	weblint-1.9.3.tar.gz
Patch0:		weblint-1.9.3-perl5.10.patch
Patch1:		weblint-1.9.3-no-use-lib.patch
URL:		http://thewml.org/news/list/msg01504.shtml
License:	GPL+ or Artistic
Group:		Applications/Text
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Script Runtime
BuildRequires:	perl(CGI)
BuildRequires:	perl(constant)
BuildRequires:	perl(Env)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
# (no additional dependencies)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Weblint is a Perl script that checks HTML text for errors, similar to the way
in which lint checks C code.

%prep
%setup -q

# Fix for compatibility with perl 5.10 onwards
%patch0 -p1

# Shipped code should not 'use lib /home/neilb/...'
%patch1

# Wrong permissions in tarball
chmod -c -x lib/Weblint/Test.pm README

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog README
%{_bindir}/weblint
%{perl_vendorlib}/Weblint.pm
%dir %{perl_vendorlib}/Weblint/
%{perl_vendorlib}/Weblint/Constants.pm
%{perl_vendorlib}/Weblint/Messages.pm
%{perl_vendorlib}/Weblint/Test.pm
%dir %{perl_vendorlib}/Weblint/HTML/
%{perl_vendorlib}/Weblint/HTML/HTML4.pm
%{_mandir}/man1/weblint.1*
%{_mandir}/man3/Weblint::Constants.3*
%{_mandir}/man3/Weblint::Messages.3*
%{_mandir}/man3/Weblint::Test.3*

%changelog
* Tue Aug  2 2016 Paul Howarth <paul@city-fan.org> - 1.9.3-14
- Don't ship code with "use lib /home/neilb/..." in it
- Classify buildreqs by usage
- Tidy the %%files list and make it more explicit
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4
- No longer need to define %%{perl_vendorlib}
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Don't need to remove empty directories from the buildroot
- Use %%{_fixperms} macro rather than our own chmod incantation

* Mon Aug  1 2011 Paul Howarth <paul@city-fan.org> 1.9.3-13
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.9.3-12
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 1.9.3-11
- Fix dist tag for RHEL-6 Beta

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> 1.9.3-10
- Dist tag for Rawhide no longer needs special-casing

* Wed Aug 12 2009 Paul Howarth <paul@city-fan.org> 1.9.3-9
- Define RPM macros in global scope

* Wed Mar 12 2008 Paul Howarth <paul@city-fan.org> 1.9.3-8
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Apply patch to fix `Bareword not allowed while "strict subs" in use' and
  `Can't use string as an ARRAY ref while "strict refs" in use' errors on perl
  5.10.0
- Enumerate all perl module files in %%files list to prevent patch backup files
  getting packaged (I prefer this to simply not making the backup files)

* Thu Mar 22 2007 Paul Howarth <paul@city-fan.org> 1.9.3-7
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker)

* Mon Sep 18 2006 Paul Howarth <paul@city-fan.org> 1.9.3-6
- Fix distribution-detection code for development releases
- Remove %%{__perl_version} macro, used only once
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix find argument ordering with -depth
- Define %%{__id_u} in a more portable way

* Tue Jul 19 2005 Paul Howarth <paul@city-fan.org> 1.9.3-5
- Rewrite spec file in (mainly) Fedora Extras style
- Changed URL to show where I found this package - it no longer seems to be
  maintained *anywhere*
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc
- Fix bogus Group: tag

* Tue Apr 05 2005 Paul Howarth <paul@city-fan.org> 1.9.3-4
- Tidy up spec file and build for FC2 & FC3

* Fri May 07 2004 Paul Howarth <paul@city-fan.org> 1.9.3-3
- Updated spec file to build on multiple redhat-based distros
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system; in such cases, just
  rebuild from the source RPM

* Sat Jun  3 2000 Alexey Nogin <ayn2@cornell.edu>
- Set architecture to noarch
- Added serial number to make sure it knows it's newer than 1.020

* Mon Oct 25 1999 Alexey Nogin <ayn2@cornell.edu>
- Upgraded to 1.9.3

* Fri Jul 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Mon May 18 1998 Michael Maher <mike@redhat.com>
- cleaned up package and rebuilt.

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- removed the weblint crontab entry

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>
- snagged package from contrib & cleaned it up
- updated to 1.020
